### Enumeration

# Camel SExpResultType

since: 3.4

#### Declaration

    enum Camel.SExpResultType

#### Description [src]

Defines type of a `CamelSExpResult`.

Available since: 3.4

#### Members

`CAMEL_SEXP_RES_ARRAY_PTR`

  Type is a ptrarray, what it points to is implementation dependant.

  - Value: `0`
  - Available since: 3.4
`CAMEL_SEXP_RES_INT`

  Type is a number.

  - Value: `1`
  - Available since: 3.4
`CAMEL_SEXP_RES_STRING`

  Type is a pointer to a single string.

  - Value: `2`
  - Available since: 3.4
`CAMEL_SEXP_RES_BOOL`

  Boolean type.

  - Value: `3`
  - Available since: 3.4
`CAMEL_SEXP_RES_TIME`

  Time_t type.

  - Value: `4`
  - Available since: 3.4
`CAMEL_SEXP_RES_UNDEFINED`

  Unknown type.

  - Value: `5`
  - Available since: 3.4